{
  num: -13009,
  accuracy: true,
  basePower: 0,
  category: "Status",
  name: "Ice Wing Shield",
  pp: 10,
  priority: 3,
  flags: { noassist: 1, failcopycat: 1 },
  stallingMove: true,
  volatileStatus: "icewingshield",
  onPrepareHit(pokemon) {
    return !!this.queue.willAct() && this.runEvent("StallMove", pokemon);
  },
  condition: {
    duration: 1,
    onStart(target) {
      this.add("-singleturn", target, "move: Ice Wing Shield");
    },
    onTryHitPriority: 3,
    onTryHit(target, source, move) {
      if (!move || !move.flags?.protect) return;
      if (move.smartTarget) move.smartTarget = false;
      else this.add("-activate", target, "move: Ice Wing Shield");
      if (source && source !== target && move.flags?.contact) {
        this.boost({spe: -1}, source, target, null, true);
        source.addVolatile("icebind", target, move);
      }
      return this.NOT_FAIL;
    }
  },
  secondary: null,
  target: "self",
  type: "Ice",
  zMove: { boost: { def: 1 } },
  contestType: "Beautiful",
  desc: "Priority +3. Protects Toshiro this turn. Contact attackers lose Speed and are trapped in Ice Bind. It fails more often if used repeatedly."
}
